Subject: bug#75886: 31.0.50; read-multiple-choice / read-key and input-decode-map

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Feb 2025 06:13:14 -0500

>>> This is a dark corner in Emacs, so I'm adding Stefan to the discussion
>>> in the hope that he might have comments and ideas to suggest.
>> Indeed `C-g` is handled (read: hard coded) at a very low-level.
> In light of input-decode-map, it seems to me that using read-event is
> always wrong. Should read-event be deprecated, maybe?

I introduced `read-key` in the hope to replace `read-char` and
`read-event`.  But so far it's been hard to switch existing code (some
of those switches have been reverted, for example (and often without
understanding the root of the problem)).

> Should read-key be changed to signal quit?

I think this would break the use of `C-g` to exit from the minibuffer.

        Stefan